%global _hardened_build 1

%define current_version 7.0.571.5

%define _basename libvzctl
%define _incdir /usr/include/vzctl
%define _pkglibdir %_libdir/libvzctl
%define _scriptdir %{_libexecdir}/%{name}/scripts
%define _scriptddir %{_libexecdir}/%{name}/script.d
%define _distconfdir %{_libexecdir}/%{name}/dists
%define _distscriptdir %{_distconfdir}/scripts

%bcond_with vzlibexeconly

Name:		libvzctl
Summary:	OpenVZ Containers API library
Version:	%{current_version}
Release:        1%{?dist}
License:	LGPLv2.1
Group:		System Environment
Source:		%{name}-%{version}.tar.bz2
ExclusiveArch:	x86_64
ExclusiveOS: Linux
Requires:	libvzevent >= 5.0.0-4
Requires:	ploop-lib >= 7.0.158
Requires:	libcgroup-tools
Requires:	criu >= 2.8.0.15
%if %{without vzlibexeconly}
Requires:	libvcmmd >= 7.0.22
BuildRequires:  libvcmmd-devel >= 7.0.14
BuildRequires:	libvzevent >= 5.0.0-4
BuildRequires:	libvzevent-devel >= 5.0.0-4
BuildRequires:  ploop-lib >= 7.0.158
BuildRequires:  ploop-devel >= 7.0.158
BuildRequires:  vztt-devel
BuildRequires:  vzkernel-headers
%endif
BuildRequires:  e2fsprogs-devel, automake, libtool, libxml2-devel, libuuid-devel
Obsoletes:      vzctl-lib

%description
OpenVZ Containers API library

%package devel
Summary: OpenVZ Containers API development library
Group: System Environment/Kernel
License: LGPLv2.1
Requires: %{name} = %{version}-%{release}

%description devel
OpenVZ Containers API development library

%package vzlibexeconly
Summary: OpenVZ Containers API library vzlibexeconly
Group: System Environment/Kernel
License: LGPLv2.1

%description vzlibexeconly
OpenVZ Containers API library vzlibexeconly

%prep
%setup -qn %{name}-%{version}

%build
./autogen.sh
%if %{with vzlibexeconly}
CFLAGS="$RPM_OPT_FLAGS" %configure --with-vzlibexeconly
%else
CFLAGS="$RPM_OPT_FLAGS" %configure --enable-static --with-ub
%endif

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT/
%if %{without vzlibexeconly}
%{__mkdir} -p -p %{buildroot}%{_docdir}/%{name}-%{version}
install -m 644 COPYING LGPL-2.1  %{buildroot}%{_docdir}/%{name}-%{version}/
%{__mkdir} -p -p %{buildroot}%{_docdir}/%{name}-devel-%{version}
install -m 644 COPYING LGPL-2.1  %{buildroot}%{_docdir}/%{name}-devel-%{version}/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{without vzlibexeconly}

%files
%defattr(-,root,root)
%{_libdir}/libvzctl2.so.*
%dir %{_pkglibdir}
%attr(755,root,root) %{_pkglibdir}/exec_wrap
%attr(755,root,root) %{_pkglibdir}/action_wrap
%dir %{_scriptdir}
%{_scriptdir}/vz-cpt-action
%{_scriptdir}/vz-cpt
%{_scriptdir}/vz-create_prvt
%{_scriptdir}/vz-functions
%{_scriptdir}/vznetcfg
%{_scriptdir}/vz-net_add
%{_scriptdir}/vz-net_del
%{_scriptdir}/vz-netns_dev_add
%{_scriptdir}/vz-netns_dev_del
%{_scriptdir}/vz-pci_configure
%{_scriptdir}/vz-postinst
%{_scriptdir}/vz-rst-action
%{_scriptdir}/vz-rst
%{_scriptdir}/vz-setrate
%{_scriptdir}/vz-start
%{_scriptdir}/vz-stop
%{_scriptdir}/vz-announce_ips
%dir %{_scriptddir}
%{_scriptddir}/README
%dir %{_distconfdir}
%{_distconfdir}/default
%config(noreplace) %{_distconfdir}/*.conf
%{_distscriptdir}/*.sh
%{_distscriptdir}/functions
%{_docdir}/%{name}-%{version}

%files devel
%{_docdir}/%{name}-devel-%{version}
%defattr(-,root,root)
%{_libdir}/libvzctl2.so
%attr(755,root,root) %{_libdir}/libvzctl2.la
%attr(644,root,root) %{_incdir}/*.h
%attr(755,root,root) %{_libdir}/libvzctl2.a

%else

%files vzlibexeconly
%attr(644,root,root) %{_incdir}/*.h
%attr(755,root,root) %{_libdir}/libvzctlexec.la
%{_libdir}/libvzctlexec.so*

%endif

%changelog
* Thu May 28 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.571.5
 - Update DISKSPACE on root disk attach #PSBM-104397

* Tue Apr 28 2020 Dmitry Mishin <dim@virtuozzo.com> 7.0.571.4
 - Make cpuX/online non-mandatory sysfs permission #PSBM-103389 (Pavel
Vokhmyanin <pvokhmyanin@virtuozzo.com>)

* Mon Apr 20 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.571.3
 - Make all external mount as private #PSBM-100080

* Wed Apr 15 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.571.2
 - Revert "Get rid of Parallels word in source code #PSBM-102329"

* Wed Apr 08 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.571
 - vzctl2_set_limits(): cgroup entries are not destroyed #PSBM-102841

* Thu Apr 02 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.570
 - Set ploop umount timeout #PSBM-102635

* Thu Apr 02 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.569
 - Get rid of Parallels word in source code #PSBM-102329

* Tue Mar 31 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.568
 - Remove stale IP addresses on CT startup #PSBM-99351 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Tue Mar 24 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.567
 - Setup correct cpu sysfs on startup #PSBM-102524 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Thu Mar 19 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.566
 - add api for CT compacting
 - Protect from delete ve_private if it alredy was not empty befor vzctl create
run (Sergei A Mamonov <mrqwer88@gmail.com>)

* Wed Mar 11 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.565
 - Downsize CPUS to maximum amount of CPUs on node #PSBM-102154 (Pavel
Vokhmyanin <pvokhmyanin@virtuozzo.com>)

* Tue Mar 10 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.564
 - configure sysfs cpu entries visibility #PSBM-98309 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Tue Mar 10 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.563
 - Some tasks are stuck in FREEZE state preventing CT from stop #PSBM-102071
 - Refactor PATH with ENV_PATH (Sergei A Mamonov <mrqwer88@gmail.com>)

* Fri Feb 28 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.562
 - Recreate /etc/mtab -> /proc/mounts link if file is missing #PSBM-101844
(Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com>)

* Thu Feb 27 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.561
 - Remove vzquota service on container creation #PSBM-97223 #OVZ-7125 (Pavel
Vokhmyanin <pvokhmyanin@virtuozzo.com>)
 - Add 'exited from CT' message (Sergei A Mamonov <mrqwer88@gmail.com>)
 - cg_env_set_memory(): describe EBUSY error #PSBM-101526

* Wed Feb 12 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.560
 - vzctl2_env_get_disk_stats(): skip temporary disks
 - CID 284823:  Code maintainability issues  (UNUSED_VALUE)
 - CID 284824:  Memory - corruptions  (OVERRUN)

* Tue Feb 04 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.559
 - No UB limits in /proc/user_beancounters #PSBM-101201

* Mon Feb 03 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.558
 - venet0 route persists after removing IP and stopping CT #PSBM-101172

* Fri Jan 31 2020 Dmitry Mishin <dim@virtuozzo.com> 7.0.556
 - Dynamic detection UB support (Igor Sukhih <igor@virtuozzo.com>)

* Tue Jan 28 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.554
 - set_fs_uuid(): incorrect partition detection logic #PSBM-101093

* Tue Dec 17 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.552
 - is_dm_device(): use cached dev_t

* Tue Dec 10 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.551
 - env_configure_disk(): secondary disk is not mounted #PSBM-100187

* Mon Dec 09 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.550
 - is_dm_device():  use partname for DM detection #PSBM-98311
 - vztmpl_get_cache_tarball(): fix compilation warning #OVZ-7150
 - src/Makefile.am: fixed typo #OVZ-7149

* Fri Dec 06 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.549
 - cannot access '/dev/mapper/CRYPT-ploop41078*': No such file or directory
\#PSBM-100043

* Fri Nov 15 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.547-2
 - added vzlibexeconly support
 - spec cleanup

* Fri Nov 15 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.547
 - Separate build of libvzctlexec
 - Introduce separate libvzctlexec library #PSBM-99275 (root <root@igor.sw.ru>)
 - Build without libvzevent
 - configure.ac: conditional compilation

* Fri Nov 01 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.542
 - Fixed compilation

* Thu Oct 31 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.541
 - Fixed compilation warnings on gcc-8.2
 - Process USE_VCMMD definition
 - Eliminate vztt-devel requires
 - configure.ac: introduce --without-vcmmd

* Fri Oct 25 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.540
 - vz-rst-action: Drop pseudosuper on pre-resume stage (Cyrill Gorcunov
<gorcunov@openvz.org>) (#PSBM-98702 #PSBM-98881 #PSBM-98915)

* Wed Oct 16 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.539
 - Failed to Start CT based on Centos8 ostemplate
 - get_net_info(): do not use nsenter to get CT ips #PSBM-98415
 - Drop duplicated Summary and Group tags (Denis Silakov
<dsilakov@virtuozzo.com>)

* Mon Oct 07 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.538
 - get_net_info(): do not use nsenter to get CT ips #PSBM-98415

* Wed Oct 02 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.537
 - Allow to skip enter lock for exec action #PSBM-98231

* Mon Aug 19 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.536
 - root.hds is not removed on failed container reinstall #PSBM-96978

* Fri Aug 02 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.535
 - failed to start CT based on debian-10.0-x86_64 #PSBM-96758

* Mon Jul 22 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.534
 - remount cgroup mounts in CT as private #PSBM-96291

* Mon Jul 08 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.533
 - Detect that restored tree of mounts corresponds to images #PSBM-93900

* Thu Jul 04 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.532
 - postumount action script #PSBM-60022
 - Fixed VZCTL_E_NO_PRVT error value #PSBM-95737

* Wed Jul 03 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.531
 - Automatic filesystem repair #PSBM-95789

* Thu Jun 27 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.530
 - parse_iolimit(): incorrect error code #PSBM-95777

* Mon Jun 24 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.529
 - spfs: save spfs-logs by copying after succesful restore (Pavel Tikhomirov

* Wed Jun 19 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.528
 - Poor logging information when container fails to start #PSBM-92633

* Tue Jun 18 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.527
 - Fix get_real_ips output #PSBM-95558 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Mon Jun 17 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.526
 - No disk statistics for secondary disks #PSBM-95386

* Fri May 31 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.525
 - Unable to set route: File exists #PSBM-94457

* Thu May 30 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.524
 - /bin/rm: cannot remove Directory not empty #PSBM-94581

* Wed May 29 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.522
 - scripts/vz-functions.in: remove deprecated code
 - Update copyright

* Fri May 24 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.521
 - CT feature to allow setting date/time #PSBM-94636

* Wed May 15 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.520
 - Fix external mount map for net_cls,net_prio #PSBM-94104 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Fri Apr 26 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.519
 - Incorrect stopped state detection #PSBM-93909

* Mon Apr 15 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.518
 - ulimit core size setting for CT init process depends on CT start method: via
vzctl or prlctl #PSBM-93723

* Mon Apr 15 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.517
 - vzctl activate CT before setting a number of CPUs #PSBM-93846
 - failed to register Container: Failed to connect to VCMMD service #PSBM-93757

* Fri Apr 05 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.515
 - physpages x2 after resume #PSBM-93521

* Thu Mar 28 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.514
 - Can't set userpasswd on stopped CT #PSBM-93151

* Tue Mar 26 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.512
 - Running CT not registered in vcmmd #PSBM-92913

* Mon Mar 18 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.511
 - Configure ve.netif_max_nr parameter per Container #PSBM-92143

* Wed Mar 06 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.510
 - Skip HA registration by demand on start/resume

* Mon Mar 04 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.509
 - Shaman resource re-check on VM/CT start #PSBM-91898

* Mon Feb 25 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.508
 - Implement transitional statuses for containers #PSBM-91896
 - read_env_transition(): validate transition status #PSBM-30363

* Fri Feb 15 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.507
 - Reduce number of stat() for vzctl2_get_disk_stats() #PSBM-91713

* Mon Dec 24 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.505
 - Change VZCTL_E_RESOURCE for more relevant code #PSBM-90374

* Thu Dec 20 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.503
 - return correct erro code on exec #PSBM-90368
 - write_init_pid(): check for fclose() result #PSBM-90289

* Mon Dec 03 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.502
 - vzctl2_get_env_status(): use lstat() to check Ct config
 - Revert "vzctl2_get_env_status(): reduce stat() call #PSBM-89931"

* Mon Dec 03 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.501
 - vzctl2_get_env_status(): reduce stat() call #PSBM-89931

* Mon Dec 03 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.500
 - reset rlimit to deafult values #PSBM-90021

* Wed Oct 17 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.499
 - real_env_exec_waiter(): output truncated #PSBM-89495

* Tue Oct 16 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.498
 - real_env_exec_waiter(): wait for eof in stdout and stderr #PSBM-89342

* Mon Oct 08 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.497
 - Impossible to start a contianer with SLM mode after migration to Vz7
\#PSBM-89290
 - update_vswap_param(): process slmmemorylimit parameter #PSBM-89290

* Thu Sep 20 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.496
 - Apply kmemsize configuration parameter

* Tue Sep 11 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.495
 - do_destroydir(): use 'rm --one-file-system' #PSBM-88558
 - _close_fds(): process VZCTL_CLOSE_NOCHECK flag

* Wed Sep 05 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.494
 - scripts/vz-setrate:   #OVZ-7055
 - secondary disk mount options

* Tue Aug 14 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.493
 - Unable to create encrypted disk #PSBM-87637

* Tue Aug 07 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.492
 - pre_setup_env(): fix processing QUOTAUGIDLIMIT=0 #PSBM-87357

* Fri Aug 03 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.491
 - Unable to reboot container if backup task is running #PSBM-86655

* Wed Aug 01 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.490
 - failed to create image #PSBM-87316

* Thu Jul 26 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.489
 - configure beancounter.pids on CT start/resume #PSBM-86089

* Wed Jul 25 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.488
 - Container couldn't start if BANDWIDTH was set incorrectly #PSBM-65642
 - veth2str(): do not renew host_ifname if not set #PSBM-86562
 - vztmpl_get_cache_tarball(): process absolete path to ostemplate
 - vzctl2_env_create(): process absolute path to config sample
 - Create blank root image on create CT action
 - scripts/vz-create_prvt.in: remove deprecated vzquota call
 - create_env_private(): remove unused argument

* Fri Jul 13 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.487.1
 - veth2str(): do not renew host_ifname if not set #PSBM-86562

* Tue Jul 10 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.487
 - get_mount_flags(): resource leak

* Fri Jul 06 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.486
 - Renew host veth ifname on register action #PSBM-85975

* Thu Jul 05 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.485
 - Failed to bind mount #PSBM-86261

* Thu Jun 21 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.484
 - get_net_info(): trim network mask from ip
 - vzctl2_get_net_info(): allow NULL for iface parameter

* Thu Jun 21 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.482
 - get_net_info(): speedup get ip addresses list
 - scripts/vz-stop: speedup CT stop

* Thu Jun 07 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.481
 - Do not retouch broken resolv.conf symlink, see #PSBM-85592 (Konstantin Volkov
<wolf@virtuozzo.com>)

* Wed May 30 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.480
 - configure.ac: remove unused libdbus

* Mon May 14 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.479
 - No arp entry on vlan interface #PSBM-84526

* Fri May 11 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.478
 - Try to get firewalld state after ipadd before exit, see #PSBM-84362
(Konstantin Volkov <wolf@virtuozzo.com>)

* Thu May 10 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.476
 - add bond interfaces to exclude for skip  in vzgetnetdev (Sergei A Mamonov
<mrqwer88@gmail.com>)

* Tue Apr 03 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.475
 - Container stays mounted after 'shutdown -h now' #PSBM-82766

* Tue Apr 03 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.474
 - scripts/vz-functions.in: devices list for routed network
 - Container stays mounted after 'shutdown -h now' #PSBM-82766

* Fri Mar 16 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.473
 - Move physical network device into CT #PSBM-82259

* Tue Mar 13 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.472
 - Load CT config for unregistered CT #PSBM-82278

* Mon Mar 12 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.471
 - Ip address not cleared on '--ipdel all' on debian-9 #PSBM-82295
 - Increase memory limits on the time of criu restore #PSBM-80874
 - cg_attach_task(): remove unused 'cg_subsys_only' argument

* Mon Mar 05 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.470
 - Unable to set --memguarantee #PSBM-82106

* Thu Mar 01 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.469
 - add_env_param(): NULL pointer dereference #PSBM-81921

* Wed Feb 28 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.468
 - Use path to ve.conf for VE_PRIVATE if VEID is not provided

* Tue Feb 27 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.467
 - vccmd related error message on hostname change

* Mon Feb 26 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.466
 - Failed to resume CT #PSBM-81781

* Thu Feb 22 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.465
 - parse_cpulimit(): failed if cpulimit > INT_MAX #PSBM-81683

* Tue Feb 20 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.464
 - Duplicate MAC address #PSBM-81678

* Tue Feb 13 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.463
 - Restore .running mark on container resume #PSBM-81408 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Mon Jan 29 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.462
 - ext4 corruption on CT creation #PSBM-80816

* Mon Jan 22 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.461
 - CT start: "command /usr/sbin/vzpkg exited with error 24" #PSBM-80601

* Thu Jan 18 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.460
 - vzctl2_env_unlock_prvt(): correct unlock order #PSBM-80706
 - Host-routed ips are not cleared on online CT migration #PSBM-62644

* Thu Jan 11 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.459
 - Revert "Apply kmemsize configuration parameter"
 - Incorrect IO/IOPS limit provided for running CT

* Wed Jan 10 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.458
 - cleanup: remove vzkernel-2.6 specific code
 - added check for e2fsprogs devel to configure (Sergei A Mamonov
<mrqwer88@gmail.com>)
 - Add vzctl2_env_get_disabled (Sergei A Mamonov <mrqwer88@gmail.com>)
 - Add .gitignore (Sergei A Mamonov <mrqwer88@gmail.com>)

* Tue Jan 09 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.457
 - Failed rollback on criu+spfs migration #PSBM-79465

* Wed Dec 27 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.456
 - Apply kmemsize configuration parameter
 - Implement systemd-resolved scheme DNS configuration #PSBM-78295

* Thu Dec 21 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.455
 - Stop CT on restore failure #PSBM-79465

* Wed Dec 20 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.442.7

* Mon Dec 18 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.454
 - Wait 60 sec on get CT action lock #PSBM-78673

* Mon Dec 18 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.453
 - Only the last IP address is added #PSBM-79391

* Fri Dec 15 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.452
 - arp and ip records are not cleaned on CT stop #PSBM-79188

* Mon Dec 11 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.451
 - Fix logic in HA command construction #PSBM-79006

* Tue Dec 05 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.450
 - Create tsnapshot with CBT

* Mon Dec 04 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.449
 - Delete veip before ve cgroup directory removal #PSBM-77750
 - vzctl2_get_env_ids_by_state(ids, ENV_STATUS_RUNNING) return wrong number
\#PSBM-78281

* Fri Nov 24 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.448
 - Add vzctl2_env_drop_cbt() #PSBM-77975

* Wed Nov 22 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.447
 - Revert "ns_env_stop_force(): kill processes from CT pid namespace on running
CT" #PSBM-77730

* Tue Nov 21 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.446
 - NFS server cannot be started #PSBM-77740

* Mon Nov 20 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.445
 - scripts/vz-cpt: fail dump action on mv error #PSBM-77549
 - ns_env_stop_force(): kill processes from CT pid namespace on running CT

* Wed Nov 15 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.444
 - get_netstat(): compilation warning

* Wed Nov 15 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.443
 - vzctl2_get_env_netstat(): get CT network intrface statistics #PSBM-77117

* Fri Nov 03 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.442
 - nsops: Extend cg_attach_task to skip certain cgroups #PSBM-64756

* Thu Oct 26 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.441
 - Ability to restrict machine.slice cpuset.cpus #PSBM-75639

* Wed Oct 25 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.440
 - Dont save HA parameters in CT config if failed to apply
 - handle_set_cmd_on_ha_cluster(): retry on change ha parameteres fail #PSBM-75
 - vzctl2_apply_param(): do not set HA parameters on CT start
 - handle_set_cmd_on_ha_cluster(): do use quiet mode for shaman

* Mon Oct 23 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.439
 - problem with size disk #PSBM-75100

* Mon Oct 23 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.438
 - destroydir(): wait for all fd are closed in child #PSBM-75416
 - _open_lock_file(); use O_CLOEXEC flags
 - Cannot change ha-prio and ha-enable for container #PSBM-75680

* Fri Oct 20 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.437
 - It is not possible to reapply quotaugidlimit for a running CT #PSBM-75676
 - remove depricated vzquota logic

* Thu Oct 19 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.436
 - Log CT lock/unlock actions #PSBM-75271
 - Move set CLOEXEC from fcntl() to open()
 - It is not possible to reapply quotaugidlimit for a running CT  #PSBM-75676

* Thu Oct 19 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.400
 - Log CT lock/unlock actions #PSBM-75271
 - Move set CLOEXEC from fcntl() to open()

* Mon Oct 16 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.435
 - scripts: Tune up ploop links on post-setup-namespaces stage #PSBM-71861

* Wed Oct 11 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.434
 - vzctl2_conf_save(): failed to rename Device or resource busy #PSBM-73501

* Mon Oct 09 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.433
 - get_fs_uuid(): fixed parse blkid output #VZOS-1998

* Mon Oct 09 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.432
 - Unable to resume CT with external bindmounts #PSBM-72121

* Wed Oct 04 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.431
 - NAMESERVER with inherit in vz.conf not work #PSBM-73516

* Tue Oct 03 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.429
 - Unable to get cpu stat: No such process
 - NUMA: Failed to open /sys/devices/system/node/node2: No such file or
directory

* Wed Sep 27 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.428
 - export vzctl2_get_ploop_dev2()
 - check_external_disk(): skip devices

* Mon Sep 25 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.427
 - vzctl2_add_disk(): memory curruption if recreated encrypted image

* Fri Sep 22 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.426
 - vzctl2_add_disk(): recreate ploop image #PSBM-71894

* Thu Sep 21 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.425
 - env_configure_disk(): skip systemd unit configure for root disk

* Thu Sep 21 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.424
 - create_root_dev(): failed to mknod()
 - Failed to start encrypted CT #PSBM-72567 PSBM-72572

* Wed Sep 20 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.423
 - It not possible to add dm device as secondary disk #PSBM-72010

* Tue Sep 12 2017 bkbbkb <bkb@virtuozzo.com> 7.0.422
 - Remove lazytime mount option #PSBM-72005 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>) (#PSBM-68655)

* Mon Sep 04 2017 bkbbkb <bkb@virtuozzo.com> 7.0.421
 - BUGFIX PSBM-71369 aka No output from mount info

* Tue Aug 29 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.420
 - Get ploop disk stats by path #PSBM-70857

* Mon Aug 28 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.417
 - Failed to start sles-11 CT with 2level quota enabled #PSBM-70719

* Wed Aug 23 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.416
 - Support vfsv1 quota format #PSBM-70555

* Tue Aug 22 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.415
 - fast stop: suppress SUNRPC per task #PSBM-70437

* Mon Aug 21 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.414
 - cgrop: get process CT ID from its status #PSBM-70402

* Fri Aug 18 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.413
 - Unable to set cpumask #PSBM-70138

* Fri Aug 18 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.412
 - vzctl2_umount_disk_image(): increase ploop umount timeout upt to 190sec
\#PSBM-69753

* Fri Aug 18 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.411
 - Coverity Scan: Passing null pointer "param.target" to "access", which
dereferences it
 - Limit number of memory sub-cgroups available to be created inside a CT
\#PSBM-58983

* Thu Aug 17 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.410
 - Cannot start ct when using libvirt vzct driver #VZOS-1837

* Wed Aug 16 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.409
 - scripts/vznetcfg: dont request slave interfaces #PSBM-68143

* Tue Aug 15 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.408
 - print CRIU error upon suspend/restore failure #PSBM-70015

* Mon Aug 14 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.407
 - Reinstall operation doesn't work if os template cache is absent #PSBM-67628

* Thu Aug 10 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.405
 - mount attached backup in ro mode #PSBM-69405

* Tue Aug 08 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.404
 - Revert "vzctl2_conf_save(): reorder close fd" #PSBM-69778
 - get_cid_uuid_pair(): dont display "Invalid ctid" error message #PSBM-69807

* Mon Aug 07 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.403
 - env_create: created root run path in VE#0 context #PSBM-65033
 - vzctl_env_restore: return VZCTL_E_RESOURCE error in criu failure #PSBM-68868

* Fri Aug 04 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.402
 - Failed to unmount ploop image #PSBM-69374

* Thu Aug 03 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.401
 - Host ownership identification for CT #PSBM-69099

* Wed Aug 02 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.400
 - add "lazytime" mount option to ploop mounts #PSBM-68655
 - vzctl2_conf_save(): reorder close fd
 - vzcreatepair(): fix "Only host part IFNAME of veth pair exists"

* Fri Jul 28 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.399
 - Eliminate race on config save #PSBM-69233 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Fri Jul 21 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.398
 - run criu from ub cgroup #PSBM-68496

* Thu Jul 20 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.397
 - Ct stopped after switch to snapshot #PSBM-68749

* Wed Jul 19 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.396
 - fixed compilation warning

* Wed Jul 19 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.395
 - 'Failed to finalize disk configure' messages during CT start #PSBM-68446
 - setup_devtmpfs(): sets group write permissions but no group #PSBM-59953

* Thu Jul 13 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.394
 - Increase limit for ghost files #PSBM-68317
 - lib/disk_configure: readdir_d deprecated, use readdir

* Tue Jul 11 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.393
 - Kill tasks before freezing on fast stop #PSBM-68232

* Mon Jul 10 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.392
 - cripts/vz-rst-action: restore ploop devices on post-restore stage #PSBM-67968

* Thu Jul 06 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.391
 - vcmmd: failed to update Container configuration: VE not active #PSBM-68063

* Thu Jul 06 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.390
 - vcmmd: vcmmd_get_ve_config: Failed to connect to VCMMD service #PSBM-67761
 - Suppress SUNRPC traffic on "fast stop". (#PSBM-67544)
 - get_cid_uuid_pair(): report error

* Tue Jun 27 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.389
 - CT restore not cancelled on post-restore reconfigure failure #PSBM-67631

* Mon Jun 26 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.388
 - pecify ploop umount timeout #PSBM-67574

* Mon Jun 26 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.387
 - vzcreatepair(): Unable to move veth interface if3 to Container #PSBM-67617

* Thu Jun 22 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.386
 - vzctl2_unwrap_env_destroy: CT destroy failed with 21

* Wed Jun 21 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.385
 - scripts/vz-functions.in: use showrt form for 'ip netns exec'
 - Preconfigured VETH device #VZOS-1287

* Mon Jun 19 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.384
 - Burst cpulimit does not work #PSBM-67377
 - Make libvzctl thread safe #PSBM-67089

* Thu Jun 15 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.383
 - Read from pipe failed: Interrupted system call #PSBM-67296

* Fri Jun 09 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.382
 - Wait on pipe on post-resume stage #PSBM-65772 (Pavel

* Wed Jun 07 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.381
 - CT not unmounted in some cases #PSBM-67064
 - Failed switch to snapshot #PSBM-67062
 - Allow to use '{}' in Container name #PSBM-66925

* Mon Jun 05 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.380
 - Allow to use '{}' in Container name #PSBM-66925

* Fri Jun 02 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.379
 - Failed to start CT with encrypted disk #PSBM-66909

* Thu Jun 01 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.378
 - Duplicate partition UUIDs for containers on the same template #PSBM-61558

* Wed May 31 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.377
 - ploop devices in /dev are not recreated on CT restore #PSBM-66745
 - Do not configure ARP proxy for interfaces without proper IP #PSBM-66649

* Tue May 30 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.376-4
- Merged changed from U4, see #PSBM-66767

* Wed May 24 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.376
 - read_p(): report errno from read() #PSBM-66566

* Wed May 24 2017 Andrey Bondrov <abondrov@virtuozzo.com> 7.0.374-3
- Enable hardened build, see #PSBM-58107

* Tue May 23 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.375
 - Cannot replace predefined root disk #PSBM-65653

* Mon May 22 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.374
 - Fix net_prio cgroup presence check on suspend and resume #PSBM-66532

* Fri May 19 2017 bkbbkb <bkb@virtuozzo.com> 7.0.373
 - scripts: vz-cpt, vz-rst -- Make net_cls,net_prio mapping conditional
\#PSBM-66311 (Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com>)

* Tue May 16 2017 bkbbkb <bkb@virtuozzo.com> 7.0.372
 - Set diskspace to PLOOP_MAX_FS_SIZE if it is not specified in sample
PSBM-65143 (Inga Pyass <ipyass@virtuozzo.com>)
 - BUGFIX PSBM-66258 Let allow external disks for HA CTs without root disk For
OpenStack managed CTs ROOT_DISK="no" and another disks are 'external'.

* Thu Apr 27 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.371
 - Fixed typo s/AUTOSTOPSTOP/AUTOSTOP/

* Mon Apr 17 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.370
 - scripts/vz-cpt: use --skip-in-flight by default on suspend #PSBM-64111

* Mon Apr 17 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.369
 - Autostart parameter auto #PSBM-52707
 - vzctl2_env_set_ramsize: Incorrect swap size #PSBM-64202

* Fri Apr 14 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.367
 - Add debug print for catching memory limits setup problem #PSBM-64043
 - vzctl2_set_log_quiet: disable ploop logging

* Tue Apr 11 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.366
 - style: fixed compilation warning

* Tue Apr 11 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.365
 - display specific error for VZT_TMPL_NOT_FOUND #PSBM-57361
 - ns_set_memory_param(): log current memory limits on error #PSBM-64043

* Fri Mar 31 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.364
 - suse-add_netif.sh: ip address is not delleted #PSBM-63215
 - env_configure_systemd_unit(): use CT state to detect systemd state
 - scripts: vz-cpt.in -- Drop old ulimit hack (#PSBM-63002)

* Fri Mar 24 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.363
 - nsops: cgroup,pids -- Don't exceed kernel limit on write (#PSBM-62906)

* Fri Mar 24 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.362
 - Set default processes limit to 128K #PSBM-62805
 - vzctl2_env_set_ramsize(): skip set swappages on ramsize change

* Wed Mar 22 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.361
 - Host-routed ips are not cleared on online CT migration #PSBM-62644
 - Do not force balloon_ino=12 mount option for real device #PSBM-62582

* Mon Mar 20 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.360
 - need safety limit on the number of iptables rules #PSBM-51347

* Thu Mar 16 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.359
 - Allow access to /dev/kmsg inside a CT by default #PSBM-59017

* Tue Mar 14 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.358
 - Unable to unlink aquota.* files #PSBM-60684

* Thu Mar 09 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.357
 - scripts: vz-cpt.in -- Add net_prio,net_cls controller to dump #PSBM-61851

* Thu Mar 09 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.356
 - Close all fds optimization

* Tue Mar 07 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.355
 - Deny to add incorrect device on --devnodes #PSBM-61679
 - Failed to enter/exec: 'pids' No such file or directory

* Tue Mar 07 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.354
 - scripts: vz-cpt -- Add pids controller to the dump list #PSBM-61768
 - set_disk_param(): barrier not limit used as disk size #PSBM-61645

* Mon Mar 06 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.353
 - parse_devnodes_str(): return back parse mode #PSBM-61592

* Fri Mar 03 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.352
 - Fixed compilation warning

* Fri Mar 03 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.351
 - Run containers in separate pids cgroup #PSBM-61553
 - Unable to stop the CT with incorrect DEVNODES #PSBM-56417

* Thu Mar 02 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.350
 - Reset loginuid on enter/exec
 - restore_config_link: broken restore Ct config link #PSBM-60822
 - style: fixed typo suspnded/suspended
 - Preserve ORIGIN_SAMPLE if exists in sample #PSBM-60711

* Fri Feb 17 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.349
 - scripts/vz-cpt,vz-rst: Add mapping for old net_cls controller #PSBM-60606
 - Drop branding from comments, see #PSBM-58317 (Konstantin Volkov
 - CT start failed wthout all set of UBC parameters #PSBM-60644

* Thu Feb 16 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.348
 - Rework setting up memory limits on restore #PSBM-58742
 - env_nsops: ns_set_memory_param -- Allow to select which param to set
 - cgroup: Allow to attach to specific cgroup only
 - Failed to add existing veth pair #PSBM-59503

* Mon Feb 13 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.347
 - Export parse pitmap funcrion
 - get_net_info(): sKip processing 127/8 loopback network #PSBM-60294

* Mon Feb 06 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.346
 - env_nsops: Use PAGE_COUNTER_MAX for max memory limit #PSBM-58980

* Fri Feb 03 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.345
 - vzctl2_env_create(): process name parameter if passed #PSBM-59847

* Fri Feb 03 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.344
 - vzauth: show proper error if .psa.shadow is absent #PVA-36225

* Fri Feb 03 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.343
 - ns_set_memory_param(): check type overflow on memory parameter set #PSBM-5898
 - Skip write to log file warning message

* Thu Feb 02 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.342
 - ns_set_memory_param(): take into account current memsw limit #PSBM-59770
 - Fixed CT reinstall by custom reinstall script #PSBM-59687

* Wed Feb 01 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.341
 - Failde to start CT with unlimited mem & swap #PSBM-57457, PSBM-58980
 - fix Container with spaces in vnet fails to start #PSBM-59533

* Mon Jan 30 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.340
 - CT pause action #PSBM-55237

* Mon Jan 30 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.339
 - fixed announce cpu/node mask change to vcmmd #PSBM-59384
 - ns_env_enter(): use of setgroups() #PSBM-58326
 - exec_init(): wrong path to init (typo) #PSBM-58328
 - convert_str() may NULL-terminate beyond dst_size #PSBM-58331

* Wed Jan 25 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.338
 - Create /dev/kmsg on CT start #PSBM-59017
 - Failed to reinstall CT with apptemplates #PSBM-59096

* Tue Jan 17 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.337
 - vzctl2_env_reinstall: specify ostemplate on CT reinstall #PSBM-58698
 - vzctl2_env_reinstall: failed to reinstall CT
 - Stop logging before execing function in the container PSBM-58622 

* Mon Jan 16 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.335
 - Configure cpu/node mask by vcmmd #PSBM-54532
 - scritps: vz-rst-action.in -- Fix typo in error message

* Tue Jan 10 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.334
 - scripts: vz-cpt/rst-action.in -- Save and restore memory limits (#PSBM-56407)
 - do_env_create: Run restore procedure from ve0 (#PSBM-56407)

* Wed Dec 21 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.333
 - Fix default screen configuration for Deb-based systems, see #PSBM-53057
(Denis Silakov <dsilakov@virtuozzo.com>)

* Mon Dec 19 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.332
 - Fix copypaste error (Igor Bazhitov <ibazhitov@virtuozzo.com>)

* Thu Dec 15 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.331
 - Added vzlinuc distribution support #PSBM-57455

* Thu Dec 15 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.330
 - ns_apply_res_param(): apply memory limits on CT Start

* Thu Dec 15 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.329
 - Fixed vcmmd register on resume #PSBM-57477

* Thu Dec 15 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.328
 - scritps/vz-rst-action.in: Fix permissions in restore_devices #PSBM-57075

* Wed Dec 14 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.327
 - Fixed cvmmd register/activation #PSBM-56998

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.326-2
- Rebuild in 7.3 environment

* Wed Dec 14 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.326
 - BUGFIX Fix cpumask verification with IDs larger than 64 #PSBM-57333
 - Fix routing setup for suse-42.2 #PSBM-56409

* Tue Dec 13 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.325
 - "vzctl set <CTID> --netif_mac_renew" drops DHCP flag #PSBM-57170

* Thu Dec 08 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.324
 - alloc_runtime_ctx(): add missed status_p initialization
 - refactor dump stage on create snapshot
 - env_dump: fixed typo in close fd #PSBM-56855

* Thu Dec 08 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.323
 - Unable to set userpasswd on stopped CT #PSBM-56937

* Wed Dec 07 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.322
 - Container resume failed on resource limits #PSBM-54515
 - Regenerate veth MAC #PSBM-56389

* Mon Dec 05 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.294.12
 - Set CTID == UUID on CT register #PSBM-56392

* Wed Nov 30 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.321
 - vzctl2_set_log_enable: manege ploop log level #rPSBM-56226

* Tue Nov 29 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.320
 - Introduce unlimited disk space #PSBM-56190

* Mon Nov 28 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.319
 - vz-setrate: validate RATEMPU global configuration parameter #PSBM-55427
 - Deny CT creation if DISKSPACE is not specified

* Thu Nov 24 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.318
 - Add per disk IO statistics for CT #PSBM-55582
 - vzctl2_get_env_status: skip CT config parse if ENV_STATUS_RUNNING is
requested
 - vzctl2_get_env_status: skip locking if VZCTL_CONF_SKIP_PARSE flag is specified

* Tue Nov 22 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.317
 - Api to get default ostemplaet name #PSBM-55732

* Mon Nov 21 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.316
 - vzctl2_send_umount_evt(): send umount event uncondiionally #PSBM-55624

* Fri Nov 18 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.315
 - Fixed typo in VZCTL_CONF_QUIET flag #PSBM-55571
 - Allow to use cutom VE_TYPE #PSBM-55513

* Mon Nov 14 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.294.5
 - Enable logging by default
 - vzctl2_env_exec_fn_async(): remove extrs fork

* Mon Nov 14 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.314
 - vzctl2_env_get_disk_stats(): report inodes stat #PSBM-55307
 - Failed to create CT from sample with TEMPLATES="" #PSBM-55225

* Mon Nov 14 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.294.4
 - vzctl2_env_get_disk_stats(): report inodes stat #PSBM-55307

* Fri Nov 11 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.313
 - Enable logging by default

* Fri Nov 11 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.312
 - Failed to mount CT #PSBM-55219

* Thu Nov 10 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.311
 - vzctl2_env_exec_fn_async(): remove extrs fork

* Wed Nov 09 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.310
 - No error message displayed on invalid parameter in config

* Mon Nov 07 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.309
 - Ostemplate paraemter ignored from config sampel on CT creation #PSBM-54926
 - Not userfriendly error meaaage on resume stopped CT

* Wed Nov 02 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.308
 - Unable to remove not valid disk #PSBM-54453

* Fri Oct 28 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.307
 - vzctl2_umount_disk_image(): increase umount busy timeout #PSBM-54005

* Thu Oct 27 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.306
 - real_env_exec(): restore default SIGPIPE signal handled #PSBM-54391

* Thu Oct 27 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.305
 - CT doesn't start if any stale records are in /etc/fstab #PSBM-54344

* Thu Oct 27 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.304
 - libvcmmd api changes #PSBM-51444

* Wed Oct 26 2016 Derbyshev Dmitry' <dderbyshev@virtuozzo.com>
 - #PSBM-53459: dbus signature is expanded, ruining backward compatibility with
vcmmd (Derbyshev Dmitry <dderbyshev@virtuozzo.com>)

* Tue Oct 25 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.303
 - Unable to unmount snapshot #PSBM-54251

* Tue Oct 25 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.302
 - Increase umount timeout on shared fs #PSBM-54005

* Mon Oct 24 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.301
 - env_check_init_pid(): change chek logic #PSBM-54013

* Tue Oct 18 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.300
 - scripts/vz-rst: Failed switch to snapshot #PSBM-53906

* Fri Oct 14 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.299
 - vz-rst.in: use 'set -e' for error reporting #PSBM-53306
 - vzctl2_env_restore: return special VZCTL_E_RESOURCE code on failure
\#PSBM-53306

* Fri Oct 14 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.298
 - Skip /etc/fstab setup for systemd like distro #PSBM-53609

* Thu Oct 13 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.297
 - cg_env_get_pids(): reset errno before getline()

* Wed Oct 12 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.296
 - env_check_init_pid: add debug logging #PSBM-53553

* Wed Oct 12 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.295
 - Unregister CT .runnig mark before real stop #PSBM-53320

* Wed Oct 05 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.293
 - umount_all: skip processing if image does not exist
 - vzctl_encrypt_disk_image: do not pass pfcache mount options

* Mon Oct 03 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.292
 - set_fs_uuid: not correct partition device name for encrypted image
 - fix attach block device

* Mon Oct 03 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.291
 - vz-*-action: line 97: [: : integer expression expected #PSBM-52916
 - Can't start CT with attached block device #PSBM-52968

* Fri Sep 23 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.289
 - Call library init from constructor

* Thu Sep 22 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.288
 - Get network iface info #PSBM-52444

* Wed Sep 21 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.287
 - Exec distribution action script

* Fri Sep 16 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.286
 - Bad parameter for --memguarantee: #PSBM-52228

* Thu Sep 15 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.285
 - Disk encryption support encrypt/decrypt/changekey #PSBM-52087

* Tue Sep 13 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.284
 - Pagecache isolation configuration parameter #PSBM-32384

* Mon Sep 12 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.283
 - set_disk_param: fixed using VZCTL_CONF_USE_RELATIVE_PATH

* Mon Sep 12 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.282
 - do_wrap_env_exec_script: failed to set ip address on running CT

* Mon Sep 12 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.281
 - load_disk_info: NULL dereference

* Mon Sep 12 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.280
 - vzctl2_env_get_disk_param: fill encryption keyid

* Mon Sep 12 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.279
 - vzctl2_env_exec_script: remove extara CTID.conf parse
 - read_script: memleak on error path
 - Add VZCTL_CONF_LOAD_DISK_INFO flag on parse CT configuration

* Fri Sep 09 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.278
 - Create dirs with 0700 perms, see #PSBM-51897

* Fri Sep 09 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.277
 - The swap size mismatches expected #PSBM-51783

* Fri Sep 09 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.276
 - Second level quota does not work for encrypted CT #PSBM-51904

* Thu Sep 08 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.275
 - suse-add_netif.sh: fix typo #PSBM-51863
 - get_ploop_disk_stats(): fixed fill device name

* Thu Sep 08 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.274
 - Failed to resume CT #PSBM-51856

* Wed Sep 07 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.273
 - Second level quota does not work for encrypted CT #PSBM-51803
 - Restart wickedd more carefully in OpenSUSE guests #PSBM-50911

* Tue Sep 06 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.272
 - CT autostop functionality #PSBM-50873
 - Ignore non-local containers in vzctl2_get_env_ids_by_state #PSBM-51253
 - get_vcmm_config(): Uninitialized scalar variable (UNINIT)
 - find_disk_by_fsuuid(): Array compared against 0 (NO_EFFECT)

* Mon Sep 05 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.271
 - Docker installed into Ubuntu 16.04 brokes CT enter #PSBM-51712

* Fri Sep 02 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.270
 - env_nsops.c: handle EINTR error on read() #PSBM-51667

* Thu Sep 01 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.269
 - Enable "bridge" feature by default for Containers #PSBM-50520

* Thu Sep 01 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.268
 - vzctl2_env_get_veth_param(): network type is not reported #PSBM-51668

* Thu Sep 01 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.267
 - Encrypted image is not mounted on CT start #PSBM-51628
 - env_configure_disk: display error on mknod failure
 - Display error messagr on CT resume failure #PSBM-51512

* Thu Sep 01 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.266
 - vzctl2_env_set_veth_param: unable to set VZCTL_NETTYPE_BRIDGE #PSBM-51654

* Wed Aug 31 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.265
 - Connect veth adapter to bridge #PSBM-51448

* Tue Aug 30 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.264
 - Failed to create encrypted CT #PSBM-51551

* Fri Aug 26 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.263
 - Skip template management on CT creation #PSBM-32832

* Fri Aug 26 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.262
 - rm_tree(): fix result check #PSBM-51414

* Thu Aug 25 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.261
 - Can't stop a container with a lot of nested cgroups #PSBM-49914

* Tue Aug 23 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.260
 - Pass mount option to ploop_encrypt_image #PSBM-51074
 - Delete unmounted ploop image resulted to crash #PSBM-51230

* Mon Aug 22 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.259
 - Prohibit using of pfcache for encrypted ploops #PSBM-50722
 - parse_range(): fixed strtoul() result check

* Fri Aug 19 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.258
 - Add debug logging of killed Ct processes #PSBM-51134

* Thu Aug 18 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.257
 - Unable to start CT wit misconfigured attached backups #PSBM-51106
 - scripts: c/r kernel.pid_max sysctl from CT root pidns #PSBM-48397

* Tue Aug 16 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.256
 - get_ploop_disk_stats(): fixed array size calculation #PSBM-50945

* Mon Aug 15 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.255
 - Disk encryption support #PSBM-49430

* Fri Aug 12 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.254
 - IO limit support for process #PSBM-50919
 - Re-add functionality for EXTERNAL_SCRIPT support from legacy codebase.

* Tue Aug 09 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.253
 - Export vzctl2_unescapestr_eq() #PSBM-50877

* Tue Aug 09 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.252
 - Failed to resume CT with enable 2nd quota #PSBM-50819
 - save criu logs irrespective of criu ret code #PSBM-49518

* Thu Aug 04 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.251
 - get_ploop_disk_stats(): skip auto mount ploop #PSBM-50624

* Thu Aug 04 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.250
 - vz-rst: temove spfs scripts from criu restore parameters
 - scripts: vz-cpt.in -- Pass controllers to dump in options
 - scripts: vz-rst-action -- Use env variable instead of pidfile value (#PSBM-50551)
 -  Prevent NetworkManager from breaking network in RH-based containers #PSBM-50617
 - Mount /dev with strict options as systemd does, see #PSBM-50536

* Mon Aug 01 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.249
 - get_ploop_disk_stats(): Skip get disk stat for devices #PSBM-49710

* Fri Jul 29 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.248
 - save criu logs irrespective of criu ret code #PSBM-49518

* Thu Jul 28 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.247
 - Deny enter action if CT in suspending transition state #PSBM-50143

* Wed Jul 27 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.246
 - Change CT name on register action #PSBM-50026

* Mon Jul 25 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.245
 - Cant detach ploop image mounted inside CT #PSBM-49606

* Thu Jul 21 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.244
 - device is listed in devices.list after online HDD detach #PSBM-49678
\#PSBM-49947

* Tue Jul 19 2016 Denis Silakov <dsilakov@virtuozzo.com> 7.0.243-2
 - Obsolete vzctl-lib from Vz6, see #PSBM-49624
 
* Tue Jul 19 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.243
 - bindmounts in CT cpuset cgroup which should be hidden #PSBM-49826

* Fri Jul 01 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.242
 - get_slice_name: ability to customize CT slice name #PSBM-49202

* Tue Jun 28 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.241
 - Failed to start CT if OS template is not installed #PSBM-48952

* Mon Jun 27 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.240
 - Set debug loglevel for criu #PSBM-48923
 - vz-setrate.in: reconfigure shaper on shepron action #PSBM-42178

* Fri Jun 24 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.239
 - Failed to start CT with turned on userquota #PSBM-48835

* Fri Jun 24 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.238
 - Create image snapshot before resume CT processes #PSBM-48810

* Thu Jun 23 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.237
 - Mount secondary ploop inside CT on resume #PSBM-48188

* Thu Jun 23 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.236
 - Use new cgroup based API to set mount perm #PSBM-48188
 - Deny to start CT without root disk #PSBM-48762

* Wed Jun 22 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.235
 - remount CT root host mount as SLAVE #PSBM-46298

* Tue Jun 21 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.234
 - Send VZCTL_ENV_SUSPENDED event on CT suspend #PSBM-47191

* Tue Jun 21 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.233
 - Make config option to not delete cgroup during CT stopping #PSBM-48394

* Tue Jun 21 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.232
 - destroydir(): remove inplace on any error #PSBM-48604
 - place container cgroups under machine.slice #PSBM-48425

* Thu Jun 16 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.231
 - Adding secondary disk to simfs based CT broke CT start #PSBM-48398
 - vzctl2_env_get_disk_stats(): surpress Unsupported CT layout erro #PSBM-48398
 - Increase default timeout for criu dump, #PSBM-48256

* Wed Jun 15 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.230
 - Specify quota format on the command line for quotacheck. #PSBM-47292
 - Skip app templates installation present in cache on CT creation #PSBM-48338
 - Skip unmount image if it was not mounted #PSBM-48247

* Thu Jun 09 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.229
 - Enumerate non-root ploop devices as external in criu options #PSBM-47221

* Wed Jun 08 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.228
 - Failed to dump CT #PSBM-48137

* Wed Jun 08 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.227
 - VCPU number is reset after setting cpu limit #PSBM-48061

* Tue Jun 07 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.226
 - Drop user quota limits on stopped CT #PSBM-47824

* Mon Jun 06 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.225
 - Create image snapshot before resume CT processes #PSBM-47920
 - do_dump(): access buffer out of bounds

* Fri Jun 03 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.224
 - CPU limit is not capped by number of CPUs #PSBM-46368

* Fri Jun 03 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.223
 - Report CT start failures due to incorrect limit configuration v2 #PSBM-43409
 - Fixed secondary disk size specification in ve.conf (Dmitry Mishin

* Wed Jun 01 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.222
 - Failed to destroy CT #PSBM-47841

* Wed Jun 01 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.221
 - Failed to resume CT #PSBM-47753

* Tue May 31 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.220
 - Config is not reverted on snapshot-switch action #PSBM-47752

* Mon May 30 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.219
 - create ploop block device file in '/dev' #PSBM-47634
 - setup_devtmpfs(): use premounted '/dev' as devtmpfs inside CT

* Fri May 27 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.218
 - add ploop device major:minor info to umoutn event #PSBM-47407
 - Pass VZ_PROGRESS_FD environment variable to vzpkg 
 - Can't mount file system: Invalid argument #PSBM-47615

* Fri May 27 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.217
 - Failed to delete secondary disk on running CT #PSBM-47563
 - scripts: add /usr/libexec/criu/scripts/spfs-release-replace.sh to vz-rst

* Wed May 25 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.216
 - Can't detach real disk on running ct #PSBM-46803
 - scripts: vz -- Handle optional VZ images without error exit (#PSBM-47359)

* Mon May 23 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.215
 - vzctl2_env_register(): name is changed on force registration #PSBM-46904

* Mon May 23 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.214
 - Mount CT /sys and its contents as shared filesystem #PSBM-46985
 - Fix ip set on suse CT with wicked. #PSBM-47344 

* Fri May 20 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.213
 - Unable to create ostempalet cache #PSBM-47181

* Fri May 20 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.212
 - Unable to create ostempalet cache #PSBM-47181
 - Backport env_configure_udev_rules from Vz6, #PSBM-46873

* Thu May 19 2016 Igor Sukhih <igor@parallels.com> 7.0.211
 - env setup: allow fuse device on start
 - vz-cpt: NFS port allow script added
 - vz-rst: SPFS to stub mode script added

* Wed May 18 2016 Igor Sukhih <igor@parallels.com> 7.0.210
 - scripts: Save and restore missing VE properties #PSBM-46811
 - Fix route adding logic for Suse. #PSBM-47073

* Wed May 04 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.209
 - Forward correct verbosity to criu restore during live migration, #PSBM-46597
(Nikita Spiridonov <nspiridonov@virtuozzo.com>)
 - Fix read of swap data from core. #PSBM-46695 (Alexander Pisarev
<apisarev@virtuozzo.com>)

* Fri Apr 29 2016 Igor Sukhih <igor@parallels.com> 7.0.208
 - ndsend core dumped #PSBM-46694

* Fri Apr 29 2016 Igor Sukhih <igor@parallels.com> 7.0.207
 - Vzctl restore speed improvemen
 - Decrease delay in parallels_execution function #PSBM-46211

* Thu Apr 28 2016 Igor Sukhih <igor@parallels.com> 7.0.206
 - Container don't unregistered on SRCafter successfull shared migration #PSBM-46669
 - Drop write to memory.kmem.limit_in_bytes on container start

* Thu Apr 28 2016 Igor Sukhih <igor@parallels.com> 7.0.205
 - Functionality to get traffic classes net statistics #PSBM-46103
 - Fix mask parser for cpu and node mask. #PSBM-35208

* Wed Apr 27 2016 Igor Sukhih <igor@parallels.com> 7.0.204
 - Report CT start failures due to incorrect limit configuration #PSBM-43409
 - Report the "Address already in use" specific error #PSBM-33726

* Sat Apr 23 2016 Igor Sukhih <igor@parallels.com> 7.0.203
 - Read pfcache parameters from /etc/vz/pfcache.conf #PSBM-45513

* Fri Apr 22 2016 Igor Sukhih <igor@parallels.com> 7.0.202
 - Send pre umount event on umount action #PSBM-45952
 - Add error message on try to set unsupported cpumask. #PSBM-46467

* Tue Apr 19 2016 Igor Sukhih <igor@parallels.com> 7.0.201
 - Allow access to /dev/autofs inside CT #PSBM-41218

* Mon Apr 18 2016 Igor Sukhih <igor@parallels.com> 7.0.200
 - Unable to start a Container if the respective EZ template is not installed #PSBM-43110
 - Fix vz-rst script logging, #PSBM-4564

* Sat Apr 16 2016 Igor Sukhih <igor@parallels.com> 7.0.199
 - functionality to spicify setmode

* Sat Apr 16 2016 Igor Sukhih <igor@parallels.com> 7.0.198
 - killing of 'vzctl exec2' doesn't kill subprocesses #PSBM-38702
 - file descriptors are not closed on entering into namespaces #PSBM-44524

* Sat Apr 16 2016 Igor Sukhih <igor@parallels.com> 7.0.197
 - scripts: vz-rst -- Add action scripts for AutoFS sake (#PSBM-46249)

* Fri Apr 15 2016 Igor Sukhih <igor@parallels.com> 7.0.196
 - incorrect behavior for DEVNODES parameter on applying config #PSBM-34160

* Wed Apr 13 2016 Igor Sukhih <igor@parallels.com> 7.0.195
 - Failed to Start CT: "Can't make slave: Invalid argument" #PSBM-44377
 - vzctl2_env_unreg(): remove CTID.conf if VE_PRIVATE does not exists #PSBM-42465
 - Confusing error message when trying to create CT from unexisting OS template
#PSBM-44415

* Tue Apr 12 2016 Igor Sukhih <igor@parallels.com> 7.0.194
 - Set cpu limit setup via cpu.cfs_quota_us instead of cpu.rate #PSBM-41313

* Tue Apr 12 2016 Igor Sukhih <igor@parallels.com> 7.0.193
 - Moving physical net interfaces inside a CT #PSBM-40537

* Mon Apr 11 2016 Igor Sukhih <igor@parallels.com> 7.0.192
 - Do not fail CT register if name already used #PSBM-13370

* Mon Apr 11 2016 Igor Sukhih <igor@parallels.com> 7.0.191
 - scripts: vz_ -- Checkpoint and restore AIO staistics #PSBM-45644
 - A criu log level should depend on a vzctl log level #PSBM-45175
 - scripts: vz_ -- Checkpoint and restore clock offsets #PSBM-41406,#PSBM-45631

* Fri Apr 01 2016 Igor Sukhih <igor@parallels.com> 7.0.190
 - Failed to mount image #PSBM-45691

* Thu Mar 31 2016 Igor Sukhih <igor@parallels.com> 7.0.189
 - Failed to start CT with secondary ploop and pfcache enabled #PSBM-45647
 - create_static_dev(): full path in devnode parameter is dropped #PSBM-45632

* Wed Mar 30 2016 Igor Sukhih <igor@parallels.com> 7.0.188
 - Provide cancelation API

* Wed Mar 30 2016 Igor Sukhih <igor@parallels.com> 7.0.187
 - Switch to the new libvcmmd API

* Mon Mar 28 2016 Igor Sukhih <igor@parallels.com> 7.0.186
 - vzctl2_add_disk: skip disk image creation for storage_url type

* Thu Mar 24 2016 Igor Sukhih <igor@parallels.com> 7.0.185
 - CT name dropped on register
 - Set ve.state before droping pseudosuper #PSBM-44981
 - env_nsops: Use @pseudosuper feature on CT start #PSBM-44981
 - Add helper to write data to file by fd #PSBM-44981

* Tue Mar 15 2016 Igor Sukhih <igor@parallels.com> 7.0.184
 - scripts: vz-cpt -- Increase the limit for fds (#PSBM-44887)
 - Can't create container on shared storage #PSBM-45002

* Fri Mar 11 2016 Igor Sukhih <igor@parallels.com> 7.0.183
 - CT c/r kernel.core_pattern in criu action scripts #PSBM-44145

* Wed Mar 09 2016 Igor Sukhih <igor@parallels.com> 7.0.182
 - Functionalit to create ploop major:minor map #PSBM-44417
 - do_env_stop(): process M_KILL_FORCE mode

* Wed Mar 09 2016 Igor Sukhih <igor@parallels.com> 7.0.181
 - do_env_stop(): process M_KILL_FORCE mode

* Wed Feb 24 2016 Igor Sukhih <igor@parallels.com> 7.0.180
 - Verify VE_PRIVATE validity before destroying container #PSBM-44077
 - ns_apply_res_param: skip store guarantee parameters on error #PSBM-44358
 - vzctl2_apply_param() exit with 0 on error #PSBM-44358

* Wed Feb 10 2016 Igor Sukhih <igor@parallels.com> 7.0.179
 - setup_devtmpfs() : incorrect mode for /dev/null #PSBM-43924

* Tue Feb 09 2016 Igor Sukhih <igor@parallels.com> 7.0.178
 - setup_devtmpfs() : incorrect mode for /dev/null #PSBM-43924
 - Run scripts on bash

* Thu Feb 04 2016 Igor Sukhih <igor@parallels.com> 7.0.177
 - Unable to start unlimited CT #PSBM-43671
 - Set device permission for secondary disk on CT resume
 - Typo in message fixed (Sergey Bronnikov <sergeyb@openvz.org>)

* Tue Feb 02 2016 Igor Sukhih <igor@parallels.com> 7.0.176
 - Failed to dump CT #PSBM-43755

* Mon Feb 01 2016 Igor Sukhih <igor@parallels.com> 7.0.175
 - Failed to switch to snapshot #PSBM-42561
 - move wait/err control pipes to vzctl_runtime_ctx
 - added struct vzctl_runtime_ctx storage
 - Added hdd was not mounted to specified mount point #PSBM-43706
 - Remove bash' 'let' from vz-rst-action 

* Sat Jan 30 2016 Igor Sukhih <igor@parallels.com> 7.0.174
 - Do not use criu '--ext-mount-map auto' feature for c/r #PSBM-43260

* Thu Jan 28 2016 Igor Sukhih <igor@parallels.com> 7.0.173
 - Recalculate memguarantee on physpages update

* Wed Jan 27 2016 Igor Sukhih <igor@parallels.com> 7.0.172
 - Failed to add secondary disk by device
 - increase default ghost-limit restriction 5Mb -> 50Mb #PSBM-42013

* Tue Jan 26 2016 Igor Sukhih <igor@parallels.com> 7.0.171
 - vz-rst-action.in: ploop minor is not restored

* Mon Jan 25 2016 Igor Sukhih <igor@parallels.com> 7.0.170
 - Memory guaranty #PSBM-43142

* Mon Jan 25 2016 Igor Sukhih <igor@parallels.com> 7.0.169
 - Make SYSTEMD_CTID_x be plain veids for restore convenience #PSBM-43256
 - cgroup: Add missing controllers into the set #PSBM-43256
 - bindmount_env_cgroup(): return error on failure
 - is_prvt_cgroup(): treat unknown cgroup as private
 - vzctl2_env_chkpnt: skip running post stop sctipt on suspend failure

* Thu Jan 21 2016 Igor Sukhih <igor@parallels.com> 7.0.168
 - Unable to create simfs based CT #PSBM-43277

* Thu Jan 21 2016 Igor Sukhih <igor@parallels.com> 7.0.167
 - Failed to start CT with disk as real device #PSBM-43177

* Thu Jan 21 2016 Igor Sukhih <igor@parallels.com> 7.0.166
 - vz-rst-action.in -- Get back @pseudosuper release

* Wed Jan 20 2016 Igor Sukhih <igor@parallels.com> 7.0.165
 - Unable to start a container from block device #PSBM-43177 (root
<root@dhcp-10-30-30-187.sw.ru>)
 - fs_is_mounted_check_by_target(): incorrect sscanf() result check
 - fs_is_mounted_check_by_target: memleak on error path
 - CT restore failed if ploop device minor is changed #PSBM-42672
 - Failed to resume CT
 - env_nsops: Use @pseudosuper feature on the restore procedure (#PSBM-34299 #PSBM-43169 #PSBM-42573)
 - vzctl2_env_restore: fixed double fd close

* Mon Jan 18 2016 Igor Sukhih <igor@parallels.com> 7.0.164
 - env_nsops: Use @pseudosuper feature on the restore procedure (#PSBM-34299 #PSBM-43169 #PSBM-42573)
 - vzctl2_env_restore: fixed double fd close

* Wed Jan 13 2016 Igor Sukhih <igor@parallels.com> 7.0.163
 - vcmm.c: fixed compilation

* Wed Jan 13 2016 Igor Sukhih <igor@parallels.com> 7.0.162
 - vcmm.c: switch to libvcmmd-7.0.4
 - vcmm.c: added vcmmd prefix to error message
 - vcmm_unregister: skip VCMMD_ERROR_VE_NOT_REGISTERED error

* Mon Jan 11 2016 Igor Sukhih <igor@parallels.com> 7.0.161
 - Unregister a container from vcmmd #PSBM-42820
 - lib/env.c: setup_devtmpfs -- Don't miss tty12 device #PSBM-41628

* Mon Jan 11 2016 Igor Sukhih <igor@parallels.com> 7.0.160
 - Cleanup CT resources on force stop action #PSBM-42820

* Fri Dec 25 2015 Igor Sukhih <igor@parallels.com> 7.0.159
 - vzctl2_env_create_snapshot: change stage order #PSBM-42561

* Fri Dec 25 2015 Igor Sukhih <igor@parallels.com> 7.0.158
 - The swap size mismatches expected value #PSBM-42705

* Fri Dec 25 2015 Igor Sukhih <igor@parallels.com> 7.0.157
 - vcmm: remove set deprecated VCMMD_VE_CONFIG_MAX_LIMIT parameter

* Thu Dec 24 2015 Igor Sukhih <igor@parallels.com> 7.0.156
 - fixed compilation warning

* Thu Dec 24 2015 Igor Sukhih <igor@parallels.com> 7.0.155
 - vz-cpt: store dump to temporary dir
 - revert "Allow access to /dev/autofs inside CT #PSBM-41218" (#PSBM-41219)
 - Use libvcmmd to operate on Container memory parameters #PSBM-42524

* Wed Dec 23 2015 Igor Sukhih <igor@parallels.com> 7.0.154
 - Create /dev/autofs inside CT #PSBM-41218
 - Allow access to /dev/autofs inside CT #PSBM-41218

* Wed Dec 23 2015 Igor Sukhih <igor@parallels.com> 7.0.153
 - Unable to resume CT #PSBM-42641
 - Node hostname is visible inside CT #PSBM-42592

* Tue Dec 22 2015 Igor Sukhih <igor@parallels.com> 7.0.152
 - CT start failed with enabled 2quota #PSBM-42569

* Tue Dec 22 2015 Igor Sukhih <igor@parallels.com> 7.0.151
 - vz-start: nfsv4 is not autoloaded on nfs feature enabled #PSBM-42476

* Mon Dec 21 2015 Igor Sukhih <igor@parallels.com> 7.0.150
 - Pass --cgroup-root option to criu during restore

* Mon Dec 21 2015 Igor Sukhih <igor@parallels.com> 7.0.149
 - Setup sysfs permissions for root disk #PSBM-42369

* Wed Dec 16 2015 Igor Sukhih <igor@parallels.com> 7.0.148
 - Unable to create CT with --no-hdd option #PSBM-42416
 - Added bandwidth to vz-stop script (for tc class removal), #PSBM-42393 
 - Fixed regression in vz-setrate, #PSBM-42361

* Mon Dec 14 2015 Igor Sukhih <igor@parallels.com> 7.0.147
 - fs_is_mounted_check_by_target: inverted result #PSBM-42347

* Fri Dec 11 2015 Igor Sukhih <igor@parallels.com> 7.0.146
 - Resurrect simfs CT #PSBM-40726

* Thu Dec 10 2015 Igor Sukhih <igor@parallels.com> 7.0.145
 - Two CT's with the same name #PSBM-41988

* Thu Dec 10 2015 Igor Sukhih <igor@parallels.com> 7.0.144
 - Failed to create CT if config file exists #PSBM-42203

* Wed Dec 09 2015 Igor Sukhih <igor@parallels.com> 7.0.143
 - vzctl_check_owner_quiet: skip check if VE_PRIVATE does not exists #PSBM-42186

* Tue Dec 08 2015 Igor Sukhih <igor@parallels.com> 7.0.142
 - destroydir: do not close lock fd

* Mon Dec 07 2015 Igor Sukhih <igor@parallels.com> 7.0.141
 - remove debug code #PSBM-41900

* Fri Dec 04 2015 Igor Sukhih <igor@parallels.com> 7.0.140
 - Failed to suspend CT: Can't dump ghost file /run/log/journal #PSBM-41900

* Thu Dec 03 2015 Igor Sukhih <igor@parallels.com> 7.0.139
 - vzlist: cpulimit rounding #PSBM-41947

* Thu Dec 03 2015 Igor Sukhih <igor@parallels.com> 7.0.138
 - vzctl2_exec_script: redirect all script output to stderr
 - vzerror: rederect error message to stderr

* Wed Dec 02 2015 Igor Sukhih <igor@parallels.com> 7.0.137
 - vzctl2_get_env_status_info: request fast mount check by demand #PSBM-41777

* Mon Nov 30 2015 Igor Sukhih <igor@parallels.com> 7.0.136
 - Incorrect value for VZCTL_CONF_RUNTIME_PARAM flag #PSBM-41693

* Fri Nov 27 2015 Igor Sukhih <igor@parallels.com> 7.0.135
 - undefined symbol: vzctl2_env_get_cap #PSBM-41681

* Fri Nov 27 2015 Igor Sukhih <igor@parallels.com> 7.0.134
 - remove processing capability parameter #PSBM-40834

* Wed Nov 25 2015 Igor Sukhih <igor@parallels.com> 7.0.133
 - failed to create /var/lock/vzctl/: File exists #PSBM-41523
 - ns_get_runtime_param: collect IO parameters
 - Get cpulimit runtime settings #PSBM-41333

* Thu Nov 19 2015 Igor Sukhih <igor@parallels.com> 7.0.132
 - vzctl2_env_get_disk_stats: collect mountpoints for disk

* Wed Nov 11 2015 Igor Sukhih <igor@parallels.com> 7.0.131
 - vzctl_popen: specify close std flags
 - Failed to create CT on centos-7 ostemplate #PSBM-41191

* Wed Nov 11 2015 Igor Sukhih <igor@parallels.com> 7.0.130
 - Provide ro perm to CT root device #PSBM-40986

* Tue Nov 10 2015 Igor Sukhih <igor@parallels.com> 7.0.129
 - Run vz-start script before CT start

* Fri Nov 06 2015 Igor Sukhih <igor@parallels.com> 7.0.127
 - Redesign the get CT running state logic #PSBM-40969
 - Load veth module on CT start/resume

* Thu Nov 05 2015 Igor Sukhih <igor@parallels.com> 7.0.126
 - Failed to switch to snapshot for runing CT #PSBM-40986
 - Mount simfs based CT #PSBM-40726

* Mon Nov 02 2015 Igor Sukhih <igor@parallels.com> 7.0.125
 - Become a session leader before starting container's init #PSBM-40959
 - Use ip_nonlocal_bind only for arp announce  #PSBM-40525

* Tue Oct 27 2015 Igor Sukhih <igor@parallels.com> 7.0.124
 - vznetcfg: bring up veth iface

* Tue Oct 27 2015 Igor Sukhih <igor@parallels.com> 7.0.123
 - Export vzctl2_set_tc_param() #PSBM-40697

* Tue Oct 27 2015 Igor Sukhih <igor@parallels.com> 7.0.122
 - Unable to restore CT with configured veth
 - Revert commit ed71a789 "Add creation of venet on restore"

* Mon Oct 26 2015 Igor Sukhih <igor@parallels.com> 7.0.121
 - Resize secondary disk mounted inside CT #PSBM-39492
 - Skip store autogenerated root disk into CT configuration
 - Skip veth device creation on CT restore
 - Skip veth iface configure inside CT on resume
 - Skip venet0 iface configure inside CT on resume

* Sat Oct 24 2015 Igor Sukhih <igor@parallels.com> 7.0.120
 - Remove node venet0 iface creation logic #PSBM-40624
 - Rework CT suspend/resume logic #PSBM-40202 #PSBM-34803

* Fri Oct 23 2015 Igor Sukhih <igor@parallels.com> 7.0.119
 - scripts: Add creation of venet on restore, #PSBM-40089
 - Failed to start CT #PSBM-40608

* Fri Oct 23 2015 Igor Sukhih <igor@parallels.com> 7.0.118
 - Move task to CT systemd cgroup on exec/enter action #PSBM-40284
 - SIGSEGV in vztmpl_install_app() #PSBM-40578
 - Use ip_nonlocal_bind setting to arp announce #PSBM-40322

* Tue Oct 20 2015 Igor Sukhih <igor@parallels.com> 7.0.117
 - CT resources are not released on CT destroy, #PSBM-39001
 - vzctl2_umount_snapshot: umount in reverse order
 - File system is not mounted on 'snapshot-mount' action, #PSBM-38423

* Mon Oct 19 2015 Igor Sukhih <igor@parallels.com> 7.0.116
 - Unable to login to CT by ssh: Connection closed, #PSBM-40245, #PSBM-34433

* Fri Oct 16 2015 Igor Sukhih <igor@parallels.com> 7.0.115
 - Setup venet device on node #PSBM-40255
 - Manage venet device via netlink #PSBM-40255
 - Deny rw access to secondary ploop inside CT #PSBM-34497

* Tue Oct 13 2015 Igor Sukhih <igor@parallels.com> 7.0.114
 - Negate return value of arping#PSBM-39271

* Fri Oct 09 2015 Igor Sukhih <igor@parallels.com> 7.0.113
 - Store autogenerated veth host_ifname parameter #PSBM-39735
 - Save custom names of veth pair host end.
 - Change defaut veth host iface name generation schema
 - enable_disk: unmount disk if setup op failed

* Thu Oct 08 2015 Igor Sukhih <igor@parallels.com> 7.0.111
 - Do not restrict capabilities for CT #PSBM-40232 #PSBM-40067

* Tue Oct 06 2015 Igor Sukhih <igor@parallels.com> 7.0.110
 - Turn off sending StartTransientUnit event #PSBM-40198
 - Attach to user namespace on enter
 - Update Ploop calls to newer API

* Tue Oct 06 2015 Igor Sukhih <igor@parallels.com> 7.0.109
 - Remove Slice from DBUS message, fixes
 - create_perctl_symlink: create relative symlink, #PSBM-38634

* Mon Oct 05 2015 Igor Sukhih <igor@parallels.com> 7.0.108
 - Update DISKSPACE parameter on root image resize #PSBM-39496
 - Remove CT init pidfile on suspend
 - CT resume faile dif teher no /var/run/ve folder #PSBM-40125

* Fri Oct 02 2015 Igor Sukhih <igor@parallels.com> 7.0.107
 - Uid/Gid 1:1 mapping breaks SSH service in guest #PSBM-40061
 - notify host's systemd instance about VE unit upon its start, #PSBM-33825

* Tue Sep 29 2015 Igor Sukhih <igor@parallels.com> 7.0.106
 - Failed to start CT: broken by 0032828d
 - cpt failed with a session leader is outside of its pid namespace #PSBM-39514

* Tue Sep 29 2015 Igor Sukhih <igor@parallels.com> 7.0.105
 - Fixed compilation

* Mon Sep 28 2015 Igor Sukhih <igor@parallels.com> 7.0.104
 - Remount container root as a shared at the very end #PSBM-34698 (#PSBM-34698)
 - Normalized VE_PRIVATE stored to VEID.conf on CT create/register #PSBM-39917

* Mon Sep 28 2015 Igor Sukhih <igor@parallels.com> 7.0.103
 - Enable user namespace inside Containers: 1:1 user mapping #PSBM-39301
 - Create per cgroup symlink inside CT #PSBM-38634

* Fri Sep 25 2015 Igor Sukhih <igor@parallels.com> 7.0.102
 - Cannot rmdir 'system.slice: Device or resource busy' #PSBM-39914
 - Remove existing veth interfaces on container start, #PSBM-39081

* Wed Sep 23 2015 Igor Sukhih <igor@parallels.com> 7.0.101
 - Two entries created under /sys/fs/cgroup/systemd/ directory

* Wed Sep 09 2015 Sergey Galas' <shrike@odin.com> 7.0.100
 - freezer is not a private cgroup anymore. need this to run docker 1.8.1 on VZ7
as docker tries to attach docker-container to this hierarchy. (Sergey Galas
<shrike@odin.com>)
 - Removed IPV6 config param check from vz-setrate, #PSBM-39105 (Maxim
Perevedentsev <mperevedentsev@parallels.com>)
 - read_init_pid: surpress ENOENT error message (Igor Sukhih
<igor@parallels.com>)
 - write_init_pid: display error on file creation failure (Igor Sukhih
<igor@parallels.com>)

* Fri Aug 21 2015 Igor Sukhih <igor@parallels.com> 7.0.98
 - Failed to start CT #PSBM-38994

* Thu Aug 20 2015 Igor Sukhih <igor@parallels.com> 7.0.96
 - Create systemd unit only on Container start. On already started Container
 - Attach forked process on enter to container's systemd slice, #PSBM-38940
 - Bind mount from host is not visible insize CT #PSBM-38933
 - Customize vz-rst action script, #PSBM-37923

* Tue Aug 18 2015 Igor Sukhih <igor@parallels.com> 7.0.95
 - Save/restore ct init pid to ve_private/init.pid, #PSBM-37928
 - Mount rootfs as a private once cgroups are passed into container#PSBM-34698
 - Fixed shaping settings parsing.
 - Fix possible collisions in ethtool output, #PSBM-18138.
 - Moved RATEMPU to optional parameters, #PSBM-17708

* Fri Aug 07 2015 Igor Sukhih <igor@parallels.com> 7.0.94
 - Add TSO/HWCSUM settings propogation from master to slave #PSBM-18138
 - Update /etc/hostname on every hostname change #PSBM-33996
 - scripts/vz-functions.in: Do not set metric=1000 for venet0 route
 - scripts/vz-functions.in: remove unused code

* Wed Jul 29 2015 Igor Sukhih <igor@parallels.com> 7.0.93
 - Delete disk failed if mounted inside CT
 - Cleanup sysfs permission on disk deletion, #PSBM-35160

* Wed Jul 29 2015 Igor Sukhih <igor@parallels.com> 7.0.92
 - CT start failed with enabled traffic shaping, #PSBM-35264
 - Fixed checking mouted state for disk with device type, #PSBM-35018

* Mon Jul 27 2015 Igor Sukhih <igor@parallels.com> 7.0.91
 - vzctl2_get_envid_by_name(): Extend logic to handle both CTID & NAME,
#PSBM-35201

* Fri Jul 24 2015 Igor Sukhih <igor@parallels.com> 7.0.90
 - Create devnodes on CT start, #PSBM-35146

* Fri Jul 24 2015 Igor Sukhih <igor@parallels.com> 7.0.89
 - Release snapshot tree
 - beancounter.h: remove local copy, use stock one
 - configure.ac: add check for vz kernel headers
 - lib/include/linux/vzctl_netstat.h: remove
 - dists/Makefile.am: remove dup
 - configure.ac/Makefiles: remove unused stuff
 - lib/Makefile.am: use $(UTIL_LIBS)
 - configure.ac: checks for ploop
 - configure.ac: add checks for libvzevent
 - configure.ac: check for libuuid, set LIBS
 - libvzctl: untangle linking with libxml2

* Thu Jul 23 2015 Igor Sukhih <igor@parallels.com> 7.0.88
 - Fixed path to custom scripts
 - Custop reinstall does not work, #PSBM-35142
 - custom_reinstall(): define args in array definition
 - lsblk is not work inside CT, #PSBM-34749

* Wed Jul 22 2015 Igor Sukhih <igor@parallels.com> 7.0.87
 - Unable to create snapshot on running CT
 - Failed to restore CT
 - Change in devnodes configuring process for compatibility, #PSBM-33885

* Tue Jul 21 2015 Igor Sukhih <igor@parallels.com> 7.0.86
 - Move network device from host to CT, #PSBM-35084

* Tue Jul 21 2015 Igor Sukhih <igor@parallels.com> 7.0.85
 - Rollback f536c48c, #PSBM-35076

* Tue Jul 21 2015 Igor Sukhih <igor@parallels.com> 7.0.84
 - CT reinstall failed, #PSBM-33856
 - cpumask doesn't work for CTs, #PSBM-34817

* Mon Jul 20 2015 Igor Sukhih <igor@parallels.com> 7.0.83
 - False positive error displayed if there no cached ostemplate, #PSBM-34984
 - Create CT veth pair on restore
 - Incorrect memory limit is set. #PSBM-35005
 - Freeze CT on force stop action
 - Resume CT on stop action if in frozen state
 - Enter into freezer cgroup

* Thu Jul 16 2015 Igor Sukhih <igor@parallels.com> 7.0.82
 - Kill CT init on fast stop, #PSBM-34881
 - Autogenerated veth host intarface name is stored in CT configuration
 - generate_veth_name(): decrease number of arguments
 - parse_ub:  Failed to register CT with "unlimited" parameters, #PSBM-34913
 - scripts/vz-start.in: rm unused variable
 - scripts/vz-start.in: print error to stderr
 - scripts/vz-start.in: add nfs and nfsd autoloading
 - scripts/vz-start.in: add bridge autoloading
 - scripts/vz-start.in: improve ppp processing
 - scripts/vz-start.in: saner config checking
 - scripts/vz-start.in: fix not loading tun
 - scripts/vz-start.in: fix comments

* Wed Jul 15 2015 Igor Sukhih <igor@parallels.com> 7.0.81
 - Failed to register CT with "unlimited" parameters, #PSBM-34913

* Wed Jul 15 2015 Igor Sukhih <igor@parallels.com> 7.0.80
 - exec is not detached for command running in background, #PSBM-34835
 - test: fixes/improvements
 - Display ctid on create failure
 - Inconsistent host_mac in config and on node, #PSBM-34904

* Wed Jul 15 2015 Igor Sukhih <igor@parallels.com> 7.0.79
 - Failed to start the Container with Host-Only network, #PSBM-34885

* Tue Jul 14 2015 Igor Sukhih <igor@parallels.com> 7.0.78
 - Container registration failed: Container is already registered, #PSBM-34887
 - Error on CT start "Error in waitpid(180985): No child processes", #PSBM-34878

* Mon Jul 13 2015 Igor Sukhih <igor@parallels.com> 7.0.77
 - Perform systemd-tmpfiles-setup-dev.service modification on CT start only
 - Device is not create id specified with dir, #PSBM-34864
 - It possible to register second copy of already existing Container,
#PSBM-34859
 - remove_tmpfiles_caps: minor code cleanup

* Fri Jul 10 2015 Igor Sukhih <igor@parallels.com> 7.0.76
 - Add vzctl2_env_get_disk_stats() function, #PSBM-33852
 - Display parameter name in warning message
 - vzctl_check_ub: CT start failed with UB based configuration, #PSBM-34833
 - Drop CT dump state on start action, #PSBM-34827
 - cg_get_ctl: Eliminate debug message "cgroup %s mount point: %s"
 - vzctl2_env_restore: Removu duplicate 'apply_quota_param' call

* Thu Jul 09 2015 Igor Sukhih <igor@parallels.com> 7.0.75
 - vznetcfg: Use vnetwork as bridge name if bound is iface empty, #PSBM-34812
 - create_tmpfiles: Device with subdir created in /dev, #PSBM-34788
 - Eliminate double vzctl2_env_exec_fn for finalize disk configuration
 - create_root_dev: Remove clean_static_dev() call
 - setup_env_quota: Remove create_root_dev() call
 - env_fin_configure_systemd_unit: Exit with error on success
 - is_existing_ploop: Operation on NULL pointer, #PSBM-34793

* Tue Jul 07 2015 Igor Sukhih <igor@parallels.com> 7.0.74
 - Return back CAP_SYS_ADMIN | CAP_NET_ADMIN, #PSBM-34741

* Mon Jul 06 2015 Igor Sukhih <igor@parallels.com> 7.0.73
 - init_env_cgroup: Add 'rw' access to /dev/tun
 - init_env_cgroup: Give 'w' access to /dev/random
 - vzauth: perform crypt(3) on the host side, #PSBM-34647

* Mon Jul 06 2015 Igor Sukhih <igor@parallels.com> 7.0.72
 - Failed to mount /proc: Operation not permitted

* Mon Jul 06 2015 Igor Sukhih <igor@parallels.com> 7.0.71
 - CAP_SYS_ADMIN & CAP_NET_ADMIN are allowed by default, #PSBM-34717
 - Eliminate local variable.
 - Deny /sys/block inside CT, #PSBM-33064

* Fri Jul 03 2015 Igor Sukhih <igor@parallels.com> 7.0.70
 - Rollback commit ed7dc432 "vzctl2_lock: CID 121541 Resource leak", #PSBM-34702
 - If RATEMPU is undeclared, vz-setrate fills its dev:class from TOTALRATE.

* Fri Jul 03 2015 Igor Sukhih <igor@parallels.com> 7.0.69
 - CID 122056 Resource leak (RESOURCE_LEAK)
 - vztmpl_install_app: CID 121572 Resource leak (RESOURCE_LEAK)
 - add_bindmount: CID 121558 Resource leak (RESOURCE_LEAK)
 - read_env_transition: CID 121585 Out-of-bounds write (OVERRUN)
 - vzctl2_env_layout_version: CID 121566 Out-of-bounds write (OVERRUN)
 - subst_VEID: CID 121571 Out-of-bounds read (OVERRUN)
 - get_user_pw: CID 121559 Out-of-bounds read (OVERRUN)13
 - env_param2str: CID 121552 Missing break in switch (MISSING_BREAK)
 - vzctl_store_snapshot_tree: CID 121542 Logically dead code (DEADCODE)
 - CID 121590 Explicit null dereferenced (FORWARD_NULL)
 - vzctl2_env_create: CID 121593 Destination buffer too small (STRING_OVERFLOW)
 - parse_disk: CID 121556 Dereference null return value (NULL_RETURNS)
 - create_static_dev: CID 121554 Dereference before null check (REVERSE_INULL)
 - vzctl2_env_create: CID 121553 Dereference before null check (REVERSE_INULL)
 - vzctl2_env_set_veth_param: CID 121548 Dereference before null check
(REVERSE_INULL)
 - wait_on_fifo: CID 122055 Argument cannot be negative (NEGATIVE_RETURNS)
 - vzctl2_get_name: CID 122059 Dereference before null check (REVERSE_INULL)
 - vzctl2_env_open_conf: CID 122056 Resource leak (RESOURCE_LEAK)
 - destroydir: CID 122057 Resource leak (RESOURCE_LEAK)
 - ns_apply_res_param: CID 122058 Resource leak (RESOURCE_LEAK)
 - vzctl2_scan_private: CID 122061 Use after free (USE_AFTER_FREE)
 - Use ret inverse
 - Calculate len once, check for stat() errno instead of access()
 - Use stat() to preserve owner/mode
 - Unneeded return removed
 - Remove CAP_SYS_MODULE capability from systemd-tmpfiles-setup-dev unit, see
#PSBM-34665
 - restore_FN: CID 121597: Uninitialized scalar variable (UNINIT)
 - ns_set_memory_param: CID 121594  Uninitialized scalar variable (UNINIT)
 - exec_init: CID 121587 Resource leak (RESOURCE_LEAK)
 - Add workaround for criu bug in container suspension, #PSBM-34667 (Nikita
Spiridonov <nspiridonov@odin.com>)
 - Unmount container during suspension, #PSBM-34667 (Nikita Spiridonov
<nspiridonov@odin.com>)
 - wait_on_fifo: CID 121583 Resource leak (RESOURCE_LEAK)
 - get_mnt_root: CID 121581 Resource leak (RESOURCE_LEAK)
 - parse_netif_cmd: CID 121567 Resource leak (RESOURCE_LEAK)
 - add_bindmount: CID 121558 Resource leak (RESOURCE_LEAK)
 - vzctl_free_snapshot_treeL ID 121555 Resource leak (RESOURCE_LEAK)
 - vzctl2_lock: CID 121541 Resource leak (RESOURCE_LEAK)
 - fs_is_mounted_check_by_dev: CID 121578 Dereference after null check
(FORWARD_NULL)
 - cmp_stat: CID 121539 Big parameter passed by value
(PASS_BY_VALUE)pass_by_value
 - make_bash_env: CID 121546 (#1 of 1): Array compared against 0 (NO_EFFECT)
 - replace_reach_runlevel_mark: CID 121545 Argument cannot be negative
(NEGATIVE_RETURNS)
 - vzctl_popen: CID 121543 Argument cannot be negative (NEGATIVE_RETURNS)
 - get_online_cpumask: CID 121611 Untrusted value as argument (TAINTED_SCALAR)
 - CID 121563 (#1 of 1): Unsigned compared against 0 (NO_EFFECT)
 - CID 121551 Unsigned compared against 0 (NO_EFFECT)
 - CID 121607 Double close (USE_AFTER_FREE)
 - CID 121610 (#1 of 1): Uninitialized scalar variable (UNINIT)

* Thu Jul 02 2015 Konstantin <wolf@parallels.com> 7.0.68
 - Remove CAP_SYS_MODULE capability from systemd-tmpfiles-setup-dev unit, see
#PSBM-34665
 - Requires:      criu (Igor Sukhih <igor@parallels.com>)

* Thu Jul 02 2015 Igor Sukhih <igor@parallels.com> 7.0.67
 - vzctl2_env_set_veth_param: double free on error
 - vzctl2_env_set_veth_param(): failed, #PSBM-34648
 - 64bit arch is reported inside 32bit CT, #PSBM-34596
 - vzctl2_get_name: Return CT name as is, #PSBM-34637
 - Unable to get ctid by name for UUID based CT
 - Store VEID=CTID in CT configuratuin on register

* Wed Jul 01 2015 Igor Sukhih <igor@parallels.com> 7.0.66
 - CT start failed with enabled traffic shaping

* Wed Jul 01 2015 Igor Sukhih <igor@parallels.com> 7.0.65
 - run_net_script: fill VE_STATE environmen variable
 - ARP proxy entry is not cleared, #PSBM-34603
 - Remove destroy vzcache logic
 - vzctl2_env_register: uuid parameter is not applied, #PSBM-34600

* Wed Jul 01 2015 Igor Sukhih <igor@parallels.com> 7.0.64
 - Fails to destroy CT cgroup if there are sub-cgroups, #PSBM-33925 #PSBM-34613

* Tue Jun 30 2015 Igor Sukhih <igor@parallels.com> 7.0.63
 - There no ploop device entry if hdd added without --mnt, #PSBM-34607
 - announce_ips: use enter_net_ns() to enter to net namespace
 - It possibly to change mac addres inside CT, #PSBM-34313
 - Allow virtual terminals to use inside container, #PSBM-34583
 - Update bash prompt on enter

* Mon Jun 29 2015 Igor Sukhih <igor@parallels.com> 7.0.62
 - Randomize file system uuid on CT creation, #PSBM-34531
 - Replace arpsend by arping, #PSBM-25351
 - Added RATEMPU check to vzcheck_TOTALRATE
 - Added RATEMPU parameter to vz-setrate for packet rate limitation
 - CT cgroups should be destroyed after 'vcmmdctl unregister', #PSBM-34525
 - Made bandwidth rate optional

* Fri Jun 26 2015 Igor Sukhih <igor@parallels.com> 7.0.61
 - Do not remove directory if exists on CT create
 - clean_dev_file: call opendir(NULL) resulted to SIGSEGV, #PSBM-34519
 - Tweak criu calls in vz-cpt and vz-rst scripts 

* Thu Jun 25 2015 Igor Sukhih <igor@parallels.com> 7.0.60
 - Create static ploop device entries, #PSBM-33800 #PSBM-34379
 - Clean static ploop devices records on CT start
 - The /etc/tmpfiles.d is not cleaned on CT start
 - Set 'rw' access to /sys/call/block/ploopNp1/uevent
 - Deprecate per CT sockbuf related limits, #PSBM-34490

* Thu Jun 25 2015 Igor Sukhih <igor@parallels.com> 7.0.59
 - Do not change VE_PRIVATE on register action
 - Unable to mount ploop inside CT
 - Send event on add new ploop device, #PSBM-33646
 - Preserve old uuid on CT register if new one is not specified, #PSBM-33769
 - get_env_ids_exists: duplicate ctid entries

* Wed Jun 24 2015 Igor Sukhih <igor@parallels.com> 7.0.58
 - Fill ve.veid in correct order, #PSBM-34465
 - Add vzctl2_env_get_veid
 - Use vz specific ioctl to get tc base

* Tue Jun 23 2015 Igor Sukhih <igor@parallels.com> 7.0.57
 - Rollback 99e22e0d "ns_env_create: remove 'struct start_param.pid' member"

* Tue Jun 23 2015 Igor Sukhih <igor@parallels.com> 7.0.56
 - Configure sysfs perm for secondary ploop, #PSBM-34415
 - set_ns: dipslay errno on open() failure
 - vzctl2_exec_script: remove close all fd logic
 - Fix criu restore flags in scripts/vz-rst

* Mon Jun 22 2015 Igor Sukhih <igor@parallels.com> 7.0.55
 - Set veid from userspace, #PSBM-34384

* Fri Jun 19 2015 Igor Sukhih <igor@parallels.com> 7.0.54
 - 'vzctl exec' inherent capabilities from parent task, #PSBM-33916

* Thu Jun 18 2015 Igor Sukhih <igor@parallels.com> 7.0.53
 - Stop CT from inside on 'vzctl stop VEID --fast'
 - Sometime "CTis locked error" appears, #PSBM-34283
 - Log output from script to logfile

* Wed Jun 17 2015 Igor Sukhih <igor@parallels.com> 7.0.52
 - Veth iface is in down state inside CT if ip/dhcp is not configured, #PSBM-34271
 - CT stop timeout does not work
 - Add README (Sergey Bronnikov <sergeyb@openvz.org>)

* Tue Jun 16 2015 Igor Sukhih <igor@parallels.com> 7.0.51
 - Unable to switch from dhcp to static ip, #PSBM-34254
 - Update virtual network for running CT
 - Change logic to get configured veth device name
 - Use new API to set mac filter parameter
 - Remove vzcalluser.h
 - Return io specific code in case error
 - Setup ioprio parameter, #PSBM-32281

* Mon Jun 15 2015 Igor Sukhih <igor@parallels.com> 7.0.50
 - Attach veth pair to virtual network
 - Process veth configureation parameters, #PSBM-34191

* Thu Jun 11 2015 Igor Sukhih <igor@parallels.com> 7.0.49
 - Cannot lock the Container, #PSBM-34052
 - Do not fail on ioprio set
 - Bind beancounter with blkio/memory cgroups, #PSBM-34082

* Wed Jun 10 2015 Igor Sukhih <igor@parallels.com> 7.0.48
 - Second level quota does not work. #PSBM-33895
 - Fail to set physpages to unlimited, #PSBM-34157
 - CT start in wait mode exited with timeout for inittab based CT, #PSBM-34159
 - Install headers with `make install', #PSBM-33975

* Tue Jun 09 2015 Igor Sukhih <igor@parallels.com> 7.0.47
 - Support "all" syntax for --devices, #PSBM-34064
 - Incorrect ioprio displayed, #PSBM-33988
 - vzauth: exit with special code if guid check failed, #PSBM-33957

* Tue Jun 09 2015 Igor Sukhih <igor@parallels.com> 7.0.46
 - add_inittab_entry: error logging enhancement
 - CT start in wait mode exited with timeout for inittab based CT, #PSBM-34130
 - Added IOPRIO functionality, #PSBM-33988, #PSBM-33946 #PSBM-32281
 - vzctl does not attach to blkio cgroup, #PSBM-34125
 - Setup CT console functionality

* Fri Jun 05 2015 Igor Sukhih <igor@parallels.com> 7.0.45
 - Enable 'ro' support for bindmount
 - Bindmount functionality does not work, #PSBM-34062 #PSBM-33834
 - increase log level for debug message 'cgroup %s mount point:'

* Fri Jun 05 2015 Igor Sukhih <igor@parallels.com> 7.0.44
 - vzt-vzctl-debug: creating.unexistent-config ERROR, #PSBM-33838
 - Invalid parameter for --devices "b:major:minor:none", #PSBM-33845
 - Add lz4 decompression support to vz-create_prvt script, #PSBM-33992

* Thu Jun 04 2015 Igor Sukhih <igor@parallels.com> 7.0.43
 - CT start hang

* Wed Jun 03 2015 Igor Sukhih <igor@parallels.com> 7.0.42
 - Add vzctl2_get_normalized_uuid definition to libvzctl.h
 - Updated git source URL
 - Process is not in the CT context on exec, #PSBM-33948 #PSBM-33893
 - provide more memory statistics

* Mon Jun 01 2015 Dmitry Mishin <dim@parallels.com> 7.0.41
 - Added copyright and license headers

* Mon Jun 01 2015 Igor Sukhih <igor@parallels.com> 7.0.40
 - Remove copy of linux header

* Sat May 30 2015 Konstantin Volkov <wolf@parallels.com> 7.0.39
 - --fast-links is vztar option, drop it
 - Drop supplementary groups on enter. (Igor Sukhih <igor@parallels.com>)
 - There no error message in case disk configuratin failed (Igor Sukhih <igor@parallels.com>)

* Fri May 29 2015 Igor Sukhih <igor@parallels.com> 7.0.38
 - CT is not accessible by network after restart. #PSBM-33868
 - Host routed ip addresses remain in route table after CT stop, #PSBM-33865
 - ns_env_stop: Uncomment drop iolimit code on force CT stop
 - Remove debug logging
 - generate_veth_name: LEading zero in veth iface name, #PSBM-33883
 - Can't start CT from volume created by cinder based on ploop image, #PSBM-33881
 - validate_eid: Unable to regisetr CT

* Thu May 28 2015 Igor Sukhih <igor@parallels.com> 7.0.37
 - Bind mounts are not visible inside CT, fixed #PSBM-33215
 - Create CT with existing ID, fixed #PSBM-33842
 - Unexpected exit status on CT creation with unknown ostemplate name, fixed #PSBM-33836
 - Change iolimit/iopslimit parameter type from int to uint

* Wed May 27 2015 Igor Sukhih <igor@parallels.com> 7.0.36
 - scripts: vz-rst -- Update parameters
 - move CT to systemd slice
 - Change iolimit/iopslimit parameter type  from int to uint
 - Remove deprecated ioprio parameter
 - Use cgroup iface to setup {io/iops}limit

* Tue May 26 2015 Igor Sukhih <igor@parallels.com> 7.0.35
 - Added vzctl2_env_get_ctid()
 - Deny CT creation with busy VEID
 - Can't start CT after set cpumask, #PSBM-33780

* Mon May 25 2015 Igor Sukhih <igor@parallels.com> 7.0.34
 - Add VZCTL_PARAM_BINDMOUNT_DEL paramater, #PSBM-33722
 - Incorrect cpulimit is setted, #PSBM-33728
 - Invalid exit code while creating new VE with existing ID. #PSBM-33733
 - Failed to create CT on ostemplate with leading '.', #PSBM-33740
 - Remove oomguarpages parameter
 - Double cpu parameter set on CT start
 - KMEMSIZE and DCACHESIZE is deprecated, #PSBM-33625
 - Remove license related code

* Fri May 22 2015 Igor Sukhih <igor@parallels.com> 7.0.33
 - KMEMSIZE and DCACHESIZE is deprecated
 - Remove license related code

* Thu May 21 2015 Igor Sukhih <igor@parallels.com> 7.0.32
 - Do not set kmem limit
 - Remove set oomguarpages parameter
 - Set container memory/swap limit via vcmmd
 - Unable to create CT if there no installed ostemplate
 - Remove incorrect message on CT create

* Thu May 21 2015 Igor Sukhih <igor@parallels.com> 7.0.31
 - Setup osrelease from inside CT
 - check_requires: Deny to set features parameter on running CT
 - set_features: Use cgroup API to set features
 - CTID is not correctly logged in /val/log/vactl.log
 - set_virt_osrelease: Use cgroup API to set osrelease
 - start_container: Remove license related error message
 - configure_mount_opts: Use cgroup API to set disk mount opts

* Mon May 18 2015 Igor Sukhih <igor@parallels.com> 7.0.30
 - Deny to use negative VEID, see #PSBM-33550

* Mon May 18 2015 Igor Sukhih <igor@parallels.com> 7.0.28
 - create_tmpfiles: incorrect mode 'b' for character device, see #PSBM-33241

* Fri May 15 2015 Konstantin Volkov <wolf@parallels.com> 7.0.27
 - Create additional systemd mount units for secondary ploops, see #PSBM-33367

* Fri May 15 2015 Igor Sukhih <igor@parallels.com> 7.0.26
 - Bind mounts are not visible inside CT

* Thu May 14 2015 Igor Sukhih <igor@parallels.com> 7.0.25
 - Fixed compilation warnings
 - validate_env_name: validate name parameter
 - get_cid_uuid_pair: surpress error message
 - Kmem accounting for containers is not enabled if KMEMSIZE is mssing in config
 - get_cgroup_mounts: Multiple cgroup mountpoint
 - exec_wrap: Link with libuuid
 - scritps: rst -- Update criu params
 - scripts: cpt -- Update criu params
 - Detect CT name conflict in case numeric names

* Thu May 14 2015 Igor Sukhih <igor@parallels.com> 7.0.23
 - get_cgroup_mounts: Multiple cgroup mountpoint
 - exec_wrap: Link with libuuid
 - scritps: rst -- Update criu params
 - scripts: cpt -- Update criu params
 - Detect CT name conflict in case numeric names

* Wed May 13 2015 Igor Sukhih <igor@parallels.com> 7.0.22
 - Detect CT name conflict in case numeric names

* Tue May 12 2015 Igor Sukhih <igor@parallels.com> 7.0.21
 - support device for CT disk(s)

* Fri May 08 2015 Igor Sukhih <igor@parallels.com> 7.0.20
 - do_umount_submounts: handle ' (deleted' suffix

* Fri May 08 2015 Igor Sukhih <igor@parallels.com> 7.0.19
 - allow to use VEID as CT id

* Thu May 07 2015 Igor Sukhih <igor@parallels.com> 7.0.17
 - Rework container's cgroup mounting

* Tue May 05 2015 Igor Sukhih <igor@parallels.com> 7.0.16
 - increase libvzctl major version
 - ns_env_stop: destroy cgroup configuration on CT stop
 - updated get CT ip list functionality
 - change CT id form integer to uuid

* Tue Apr 28 2015 Igor Sukhih <igor@parallels.com> 7.0.15
 - ns_env_stop: destroy cgroup configuration on CT stop, see #PSBM-29895
 - exec.c: added VZCTL_FLAG_DONT_USE_WRAP flags

* Mon Apr 20 2015 Igor Sukhih <igor@parallels.com> 7.0.14
 - remove offline management stuff, see #PSBM-32946

* Thu Apr 16 2015 Konstantin Volkov <wolf@parallels.com> 7.0.13
 - Added Ubuntus systemd console support, see #PCLIN-32529

* Fri Apr 10 2015 Dmitry Mishin <dim@parallels.com> 7.0.12
 - Skip venet0 device while processing veth devices (#PSBM-32876)
   (Yuri Pudgorodsky <yur@odin.com>)

* Fri Apr 10 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.11
 - Added license text #PSBM-32882
 - Updated license to LGPLv2.1 #PSBM-32882

* Thu Apr 09 2015 Igor Sukhih <igor@parallels.com> 7.0.10
 - skip venet0 iface removal by veth logic

* Thu Apr 09 2015 Igor Sukhih <igor@parallels.com> 7.0.9
 - update get network devices logic

* Tue Apr 07 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.8
 - rebuild with ploop 7.0.x #PSBM-32811

* Fri Apr 03 2015 Igor Sukhih <igor@parallels.com> 7.0.7
 - update path to CT configuration folder

* Tue Mar 31 2015 Igor Sukhih <igor@parallels.com> 7.0.5
 - use cgroup iface for venet0 configure #PSBM-32728

* Mon Mar 30 2015 Konstantin Volkov <wolf@parallels.com> - 7.0.4-2
- Initial changelog entry
